Unit tia83r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IA83R_p;

function tia83r: String;

implementation

function tia83r: String;
var
M,N,K,I,ITER,IERR :Integer;
H :Real;
A :Array [0..7] of Real;
AX :Array [0..8] of Real;
RAB :Array [0..17] of Real;
JN :Array [0..8] of Integer;
X :Array [0..50] of Real;
Y :Array [0..50] of Real;
const
IN_ :Array [0..8] of Integer = ( 1,6,11,16,21,26,31,36,51 );
label
_5;
begin
Result := '';  {   }
M := 51;
N := 7;
H := 2.0/(M-1);
for K:=1 to M do
 begin
  X[K-1] := -1.0+(K-1)*H;
  Y[K-1] := Abs(X[K-1]);
_5:
 end;
IA83R(M,N,X,Y,IN_,ITER,A,AX,JN,RAB,IERR);
Result := Result + Format('%s',
 [' TECTOB PMEP  IA83R' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',[' PEYTAT:' + #$0D#$0A + ' IERR=']);
Result := Result + Format('%2d ',[IERR]);
Result := Result + Format('%s',['   N=']);
Result := Result + Format('%2d ',[N]);
Result := Result + Format('%s',['   M=']);
Result := Result + Format('%3d ',[M]);
Result := Result + Format('%s',['   ITER=']);
Result := Result + Format('%3d ',[ITER]);
Result := Result + Format('%s',['   MINMAX=']);
Result := Result + Format('%20.16f ',[RAB[0]]) + #$0D#$0A;
for I:=1 to 8 do
 begin
  Result := Result + Format('       A(%1d )=%20.16f ',[I,A[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
  for I:=1 to 9 do
   begin
    Result := Result + Format(' AX(%1d )=%20.16f ',[I,AX[I-1]]) + #$0D#$0A;
   end;
Result := Result + #$0D#$0A;
    for I:=1 to 9 do
     begin
      Result := Result + Format(' JN(%1d )=%5d ',[I,JN[I-1]]) + #$0D#$0A;
     end;
Result := Result + #$0D#$0A;
UtRes('tia83r',Result);  {     tia83r.res }
exit;
end;

end.
